.blog-page {
    margin-top: 80px;
}

.blog-page__single {
    padding-top: 80px;
    overflow: hidden;
}

.blog__content-container .breadscrumbs {
    align-self: start;
}

/* .blog-page .breadscrumbs {
    padding: 0;
} */

.breadscrumbs {
    display: flex;
    align-items: center;
    margin-top: 100px;
    max-width: 1920px;
    padding: 0 40px;
    margin: 0 auto 20px;
    align-self: start;
}
.current-page__link {
    font-weight: 600;
    font-size: 14px;
    line-height: 143%;
    color: #1a1a1a;
    margin-left: 12px;
}

.previous-page__link {
    font-weight: 400;
    font-size: 14px;
    line-height: 143%;
    color: #404040;
    margin-right: 12px;
    margin-left: 12px;
}

.previous-page__link:first-of-type {
    margin-left: 0;
}

.current-page__link {
    font-weight: 600;
    font-size: 14px;
    line-height: 143%;
    color: #1a1a1a;
    margin-left: 12px;
}

.blog-page .content-container,
.blog__content-container {
    max-width: 1600px;
    width: 100%;
    margin: 0 auto;
    padding: 0;
}


.articles-container {}

.articles__button-group {
    margin-bottom: 40px;
}

.filter-button-group {}

.articles__button {
    background-color: #ffff;
}

.btn-main {}

.articles__button.is-checked {
    background-color: rgba(240, 240, 240, 1);
}

.articles-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    position: relative;
}

.article-card {
    flex: 1 1 calc((100% - 24px * 3) / 4);
    max-width: 382px;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transform: translateX(-25px) translateY(10px) scale(0.9);
    pointer-events: none;
}

.article-card.active {
    opacity: 1;
    pointer-events: auto;
    position: relative;
    z-index: 10;
    transform: translateX(0) translateY(0) scale(1);
    transition: all 0.3s;
}

.article-img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 16px;
    background: rgba(122, 158, 230, 1);
    margin-bottom: 20px;
    object-fit: cover;
}

.article-details {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.article-title {
    margin-bottom: 16px;
}

.article-tag {
    padding: 5px 12px;
    margin-right: 12px;
}

.article-date {
    font-size: 16px;
    font-weight: 600;
    line-height: 22px;
}

.main-txt {}

.pagination {
    display: flex;
    margin-top: 40px;
}

.page-number {
    color: #131726;
    font-weight: 700;
    font-size: 18px;
    line-height: 133%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    border-radius: 10px;
    padding: 0px 24px;
}

.current {
    background-color: #f0f0f0;
}

.page-number__divider {
    color: #131726;
    font-weight: 700;
    font-size: 18px;
    line-height: 133%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
}

/* article page */
.blog__content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 40px;
}

.blog-post {
    max-width: 1058px;
    width: 100%;
    align-self: center;
}

.blog-post__top {
    margin-bottom: 60px;
}

.blog-post__content{
    max-width: 960px;
    width: 100%;
}
.blog-post__content .wp-block-heading {
    color: #1a1a1a;
    margin-bottom: 20px;
}

.blog-post__title {
    font-weight: 900;
    font-size: 70px;
    line-height: 106%;
    margin-bottom: 20px;
}

.blog-post__content h2.wp-block-heading {
    font-weight: 900;
    font-size: 60px;
    line-height: 107%;
}

.blog-post__content h3.wp-block-heading {
    font-weight: 900;
    font-size: 50px;
    line-height: 110%;
}

.blog-post__content h4.wp-block-heading {
    font-weight: 700;
    font-size: 40px;
    line-height: 110%;
}

.blog-post__content h5.wp-block-heading {
    font-weight: 700;
    font-size: 30px;
    line-height: 110%;
}

.blog-post__content p {
    color: #1a1a1a;
    font-weight: 400;
    font-size: 18px;
    line-height: 167%;
    margin-bottom: 30px;
}

.blog-post__info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.blog-post__info-right {
    display: flex;
    align-items: center;
}

.blog-post__share {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 20px;
}

.share-open {
    display: flex;
    align-items: center;
}

.share-open {
    color: rgba(131, 191, 10, 1);
}

.share-open:hover {
    color: #689807;
}

.blog-post__share {
    position: relative;
}

.share-popup {
    width: max-content;
    display: flex;
    position: absolute;
    top: 30px;
    left: 50%;
    transform: translateX(-50%);

    visibility: hidden;
    opacity: 0;

    background: #fff;
    padding: 12px 16px;
    border-radius: 12px;
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.15);

    transition: opacity .4s ease, visibility .4s ease, transform .4s ease;
}

.share-popup.active {
    width: max-content;
    visibility: visible;
    opacity: 1;
    transform: translateX(-50%) translateY(10px);
}

.share-open {
    cursor: pointer;
    display: flex;
    align-items: center;
}

.share-close {
    color: #404040;
    font-size: 28px;
    position: absolute;
    right: -20px;
    top: -20px;
    line-height: 100%;
    width: 28px;
    height: 28px;
    background: transparent;
}

.blog-post__content .wp-block-image {
    border-radius: 16px;
}
.blog-post__content .wp-block-image img {
       height: initial;
}

.blog-post__content ol.wp-block-list,
.blog-post__content ul.wp-block-list {
    margin: 0 0 20px 20px;

}

.blog-post__content .wp-block-list li {
    color: #1a1a1a;
    font-weight: 400;
    font-size: 18px;
    line-height: 167%;
    margin-bottom: 8px;

}

.wp-block-list li::marker {
    font-size: 18px;
    line-height: 167%;
    color: rgba(131, 191, 10, 1);
}


.blog-post__content a {
    color: rgba(131, 191, 10, 1);
    font-weight: 400;
    font-size: 18px;
    line-height: 167%;
    margin-bottom: 30px;

}

.blog-post__content a:hover {
    color: #689807;
}

.blog-post .post-navigation {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 10px;
    border-top: 1px solid var(--border-on-light-border-1);
    margin-top: 60px;
}

.prev-post,
.next-post {
    color: #131726;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    font-size: 16px;
    line-height: 138%;
    text-align: center;
    border-radius: 10px;
    padding: 15px 24px;
}

.prev-post svg {
    margin-right: 12px;
}

.next-post svg {
    margin-left: 12px;
}

.related-posts__container {
    display: flex;
    gap: 24px;
}

.related-posts__article {
    flex: 1 1 calc((100% - 24px * 3) / 4);
    max-width: 382px;
    height: auto;
}

@media (max-width:1520px) {

    .blog-page .content-container,
    .blog__content-container {
        margin: 0;
        padding: 0 40px;
    }

    .blog__content-container {
        margin-top: 40px;
    }

    .blog-post__title {
        font-size: 60px;
    }

    .blog-post__content h2.wp-block-heading {
        font-size: 45px;
    }

    .blog-post__content h3.wp-block-heading {
        font-size: 40px;
    }


}

@media (max-width:1442px) {
    .article-title {
        font-size: 22px;
    }
     .blog-post__content h2.wp-block-heading {
        font-size: clamp(24px, 3vw, 70px);
    }
}

@media (max-width:1202px) {

    .blog-page .content-container,
    .blog__content-container {
        margin: 0;
        padding: 0 40px;
    }
}

@media (max-width:1025px) {

    .article-card,
    .related-posts__article {
        flex: 1 1 calc((100% - 24px * 2) / 3);
        max-width: 320px;
    }

    .related-posts__container {
        flex-wrap: wrap;
        align-items: center;
    }

    .related-posts__article {
        flex: 1 1 calc((100% - 24px) / 2);
        max-width: 320px;
    }

    .blog-post__title {
        font-size: clamp(28px, 4.5vw, 70px);
    }

    .blog-post__content h2.wp-block-heading {
        font-size: clamp(24px, 3vw, 70px);
    }

    .blog-post__content h3.wp-block-heading {
        font-size: 36px;
    }

    .blog-post__content h4.wp-block-heading {
        font-size: 34px;
    }

    .blog-post__content h3.wp-block-heading {
        font-size: 20px;
    }
}

@media (max-width:769px) {
    .blog__content-container {
        margin: 0;
        padding: 0 20px;
    }

    .breadscrumbs {
        padding: 0 20px;
    }

    .article-card {
        flex: 1 1 calc((100% - 24px) / 2);
        max-width: 360px;
    }
}

@media (max-width:480px) {
    .article-card {
        flex: 1 1 100%;
        max-width: 100%;
    }

    .blog-post__content h3.wp-block-heading {
        font-size: 26px;
    }

    .blog-post__content h4.wp-block-heading {
        font-size: 24px;
    }

    .blog-post__info {
        align-items: start;
        flex-direction: column;
    }

    .related-posts__container {
        flex-direction: column;
    }

    .blog-post .post-navigation {
        gap: 8px;
        padding: 0;
    }

    .prev-post,
    .next-post {
        width: 50%;
        padding: 15px;
    }
}